Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.vole
Class Border

    java.lang.Object
      jcontrol.ui.vole.Component
          jcontrol.ui.vole.Border

    public class Border

extends Component

This class `Border` creates a border with the given extents.

(c) Copyright 2003-2007 DOMOLOGIC GmbH

Field Summary
`static int` | `ETCHED_BORDER` Rectangular border with etched edges
`static int` | `ROUND_BORDER` Rectangular border with round corners
`static int` | `SIMPLE_BORDER` Simple rectangular border

Fields inherited from class jcontrol.ui.vole.Component
`eventQueue, focusOwner, font, g, height, listener, parent, visible, width, x, y`

Constructor Summary
`Border(int x, int y, int width, int height)` Creates a simple rectangular border.
`Border(String label, int x, int y, int width, int height)` Creates a labeled rectangular Border.

Method Summary
`void` | `paint()` Draw the border.
`void` | `setLabel(String label)` Sets the label of this border.
`void` | `setStyle(int m_style)` Sets the style of this border.
`boolean` | `transferFocus()` We never gain the input focus.

Methods inherited from class jcontrol.ui.vole.Component
`getBounds, getParent, isVisible, onActionEvent, onKeyEvent, remove, removeFocus, requestFocus, setBounds, setFont, setGraphics, setParent, setVisible, validate`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### SIMPLE_BORDER

    public static final int SIMPLE_BORDER

  Simple rectangular border

  See Also:
    Constant Field Values

### ETCHED_BORDER

    public static final int ETCHED_BORDER

  Rectangular border with etched edges

  See Also:
    Constant Field Values

### ROUND_BORDER

    public static final int ROUND_BORDER

  Rectangular border with round corners

  See Also:
    Constant Field Values

Constructor Detail

### Border

    public Border(int x,
                  int y,
                  int width,
                  int height)

  Creates a simple rectangular border.

  Parameters:
    `x` - The x-coordinate of the border's top-left corner.
    `y` - The y-coordinate of the border's top-left corner.
    `width` - The width of the border.
    `height` - The height of the border.

### Border

    public Border(String label,
                  int x,
                  int y,
                  int width,
                  int height)

  Creates a labeled rectangular Border.

  Parameters:
    `label` - The string label of the border.
    `x` - The x-coordinate of the border's top-left corner.
    `y` - The y-coordinate of the border's top-left corner.
    `width` - The width of the border.
    `height` - The height of the border.

Method Detail

### setStyle

    public void setStyle(int m_style)

  Sets the style of this border. Possible values are `SIMPLE_BORDER`, `ETCHED_BORDER` and `ROUND_BORDER`. The default style is `SIMPLE_BORDER`.

  Parameters:
    `style` - The new style of the border.

### setLabel

    public void setLabel(String label)

  Sets the label of this border.

  Parameters:
    `label` - The new m_label of the border.

### paint

    public void paint()

  Draw the border.

  Overrides:
    `paint` in class `Component`

### transferFocus

    public boolean transferFocus()

  We never gain the input focus.

  Overrides:
    `transferFocus` in class `Component`
  Returns:
    true, if the focus was transferred successfully.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD